温馨提醒

亲爱的游客,你的浏览器太旧啦.都啥年代了.为了你的安全,为了你的体验,为更好的浏览本页, 赶紧更新一把吧.....本博客不支持ie8以下浏览器,如果你使用的是ie浏览器,请您更新到ie8或以上版本.

推荐使用谷歌浏览器(chrome)或火狐浏览器(Firefox),点击下方按键进行安装

码农部落

  ——好记性,不如烂博客!

ubuntu下使用crontab运行php脚本

这里只简单提一下怎么样运行php
(1)启动linux定时服务:service cron start
(2)查看当前定时任务: crontab -l
(3)添加新定时任务:crontab -e
*/2 * * * * /usr/bin/php -f /var/www/html/*.php // 表示每2分钟执行一次/var/www/html/*.php文件(注: -f 表示读入并解释的意思。/usr/bin/php为php解释器的地址。)
ubuntu 重设crontab -e的默认编辑器:select-editor

crontab的详细语法,可以来到这里来看。crontab命令详解


JS代码判断IE浏览器版本!

做网页有时候会用到JS检测IE的版本,下面是检测Microsoft Internet Explorer版本的三种代码!
第一种:

<script type="text/javascript">
var browser=navigator.appName
var b_version=navigator.appVersion
var version=b_version.split(";");
var trim_Version=version[1].replace(/[ ]/g,"");
if(browser=="Microsoft Internet Explorer" && trim_Version=="MSIE6.0")
{
alert("IE 6.0");
}
else if(browser=="Microsoft Internet Explorer" && trim_Version=="MSIE7.0")
{
alert("IE 7.0");
}
else if(browser=="Microsoft Internet Explorer" && trim_Version=="MSIE8.0")
{
alert("IE 8.0");
}
else if(browser=="Microsoft Internet Explorer" && trim_Version=="MSIE9.0")
{
alert("IE 9.0");
}
</script>

第二种:
阅读全文…


让wamp支持wordpress的固定链接

博主实验环境:

系统:win7/xp
wamp2.4(默认安装路径:c:\wamp)

本人的电脑里的测试环境一直用着wamp,最近安装了wordpress,发现修改了wordpress的固定链接后,以前的文章就打不开了,提示404;上网查了一下,apache默认屏蔽掉了WordPress自定义固定链接设置。下面是解决办法:

第一步:打开apache的配置文件httpd.conf

配置文件httpd.conf的默认位置在:C:\wamp\bin\apache\Apache2.4.4\conf,其中C:\wamp是你安装wamp的路径,Apache2.4.4是apache的版本号,wamp版本不同,apaceh的版本号也会有所不同。
另一种打开httpd.conf简单的方法,左键单击wamp图标==》Apache==>http.conf
wampserver2.4

第二步:

找到: #LoadModule rewrite_module modules/mod_rewrite.so 把前的#去掉。阅读全文...

Linux下压缩某个文件夹(文件夹打包)

例子:把/xahot文件夹打包后生成一个/home/xahot.tar.gz的文件。
tar -zcvf /home/xahot.tar.gz /xahot
tar -zcvf 打包后生成的文件名全路径 要打包的目录